aboutsummaryrefslogtreecommitdiff
path: root/libc/ci/emscripten-entry.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libc/ci/emscripten-entry.sh')
-rwxr-xr-xlibc/ci/emscripten-entry.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/libc/ci/emscripten-entry.sh b/libc/ci/emscripten-entry.sh
new file mode 100755
index 0000000..acaebfe
--- /dev/null
+++ b/libc/ci/emscripten-entry.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# Copyright 2017 The Rust Project Developers. See the COPYRIGHT
+# file at the top-level directory of this distribution and at
+# http://rust-lang.org/COPYRIGHT.
+#
+# Licensed under the Apache License, Version 2.0 <LICENSE-APACHE or
+# http://www.apache.org/licenses/LICENSE-2.0> or the MIT license
+# <LICENSE-MIT or http://opensource.org/licenses/MIT>, at your
+# option. This file may not be copied, modified, or distributed
+# except according to those terms.
+
+set -ex
+
+source /emsdk-portable/emsdk_env.sh &> /dev/null
+
+# emsdk-portable provides a node binary, but we need version 8 to run wasm
+export PATH="/node-v8.0.0-linux-x64/bin:$PATH"
+
+exec "$@"